[TOC]

Docker 脚本，大部分为各种应用一键运行脚本,用于记录一些使用docker快速安装的软件或者环境.
Docker 安装见[环境安装脚本](/docs/dbins_shell_archive/%E7%8E%AF%E5%A2%83%E5%AE%89%E8%A3%85%E8%84%9A%E6%9C%AC.md "环境安装脚本")

## Nginx
```shell
# 使用相对相对目录
DIR=$(pwd)
mkdir html
mkdir config
docker run -d \
	--name nginx \
	-p 9990-9999:9990-9999 \
	-v ${DIR}/html:/html \
	-v ${DIR}/config:/etc/nginx/conf.d \
	--restart always \
	nginx:1.24.0
```

## Mysql

```shell
root_password="your_root_password"  
  
# 创建MySQL数据文件夹  
mysql_data_folder="/path/to/mysql_data_folder"
mkdir -p "$mysql_data_folder"
  
# 启动MySQL容器
docker run -d \
	--name mysql \
	-p 3306:3306 \
	-v "$mysql_data_folder:/var/lib/mysql" \
	-e MYSQL_ROOT_PASSWORD="$root_password" \
	mysql:latest
```

## V2rayA

```shell
path=$(pwd)
mkdir v2raya
docker run -d \
	-p 2017:2017 \
	-p 20170-20180:20170-20180 \
	--restart=always \
	--name v2raya \
	-e V2RAYA_LOG_FILE=/tmp/v2raya.log \
	-v $path/v2raya:/etc/v2raya \
	mzz2017/v2raya
```

## MrDoc

可根据`https://hub.docker.com/search?q=MrDoc`选择合适的镜像

```shell
path=$(pwd)
git clone https://gitee.com/zmister/MrDoc.git MrDoc
docker run -d --name mrdoc \
	-p 10086:10086 \
	-v ${path}/MrDoc:/app/MrDoc \
	jonnyan404/mrdoc-nginx
```

## Gitea

```shell
path=$(pwd)
mkdir data
docker run -d --name gitea \
	--restart always \
	-e USER_UID=1000 \
	-e USER_GID=1000 \
	-v $path/data:/data \
	-v /etc/timezone:/etc/timezone:ro \
	-v /tmp/localtime:/etc/localtime:ro \
	-p 3000:3000 \
	-p 2022:22 \
	gitea/gitea:1.20.5
```

## Redis

```shell
docker run --name redis \
  -p 6379:6379 \
  -v /path/to/redis/data:/data \
  -d redis
````